GL_TESSCOORD(3G)

NAME
gl_TessCoord - contains the coordinate of the vertex within the current patch

DECLARATION
in vec3 gl_TessCoord ;.SH "DESCRIPTION"

Available only in the tessellation cevaluation language, gl_TessCoord specifies the three component (u, v, w) vector identifying the position of the vertex being processed by the shader relative to the primitive being tessellated.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
gl_TessCoord | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

gl_TessLevelOuter(), gl_TessLevelInner(), gl_PatchVerticesIn()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group